#!/usr/bin/env python

import sys
sys.path.append("tools")

import jsmin, mergejs

#define the parameters here
sourceDirectory = "../libs"
configFilename = "geomoose.cfg"
outputFilename = "GeoMOOSE.js"

if len(sys.argv) > 1:
    configFilename = sys.argv[1] + ".cfg"
if len(sys.argv) > 2:
    outputFilename = sys.argv[2]

print "Merging libraries."
merged = mergejs.run(sourceDirectory, None, configFilename)
print "Compressing."
minimized = jsmin.jsmin(merged)
print "Adding license file."
minimized = file("license.txt").read() + minimized
#print "Adding license file."
#minimized = file("license.txt").read() + merged

print "Writing to %s." % outputFilename
file(outputFilename, "w").write(minimized)

print "Done."
